Last Comment Bug 655653 - When Message view is "Grouped by sort", double-clicking anywhere but the expand/collapse arrow (eg in group heading) does not expand or collapse group
: When Message view is "Grouped by sort", double-clicking anywhere but the expa...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: unspecified
: x86_64 Linux
-- minor (vote)
: Thunderbird 43.0
Assigned To: alta88
:
:
Mentors:
Depends on: 500610
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-08 21:31 PDT by Adrian Perez
Modified: 2015-09-07 02:44 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
groupedHeaderDClickToggle.patch (6.10 KB, patch)
2015-08-30 14:55 PDT, alta88
mkmelin+mozilla: review+
Details | Diff | Splinter Review
groupedHeaderDClickToggle.patch (6.08 KB, patch)
2015-09-02 15:20 PDT, alta88
alta88: review+
Details | Diff | Splinter Review

Description User image Adrian Perez 2011-05-08 21:31:23 PDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.17) Gecko/20110424 Thunderbird/3.1.10

View is set to sort by "Date" and "Group by sort". Trying to expand or collapse a group by double clicking anywhere but the arrow in the subject field does not work.
When a group is collapsed, double-clicking on the "Today" group header in subject field will open a new Thunderbird window with no tabs open.
When a group is already expanded double-clicking on the the group header row does nothing.

Reproducible: Always

Steps to Reproduce:
1.Set view to sort by "Date" and "Group by Sort"
2.Double-click on the group headers anywhere except the expand/collapse arrows
3.

Actual Results:  
When group is collapsed, new Thunderbird window opens with no open tabs.
When group is already expanded, nothing happens.

Expected Results:  
Double-clicking anywhere in the group header row should expand or collapse the respective group, such as in Outlook.
Comment 1 User image Ludovic Hirlimann [:Usul] 2011-05-11 01:21:24 PDT
Aureliano, do you also see this ?
Comment 2 User image [:Aureliano Buendía] 2011-05-11 01:29:35 PDT
(In reply to comment #1)
>Double-clicking anywhere in the group header row should expand or collapse the >respective group, such as in Outlook.

Why? In TB to collapse\expande thread you must click (*1 click*) on expand/collapse arrows.
This because when you double click 

>Double-click on the group headers anywhere except the expand/collapse arrows

TB open message (or messages) in tab or new window based on your option.

In my opinion this is Invalid because the behavior is deliberate.
Comment 3 User image Wayne Mery (:wsmwk, NI for questions) 2012-02-11 10:00:34 PST
Reporter, 

do you still see this problem when using a current version of thunderbird? 

And if you do not, please close bug report by changing resolution to worksforme
Comment 4 User image Joshua Cranmer [:jcranmer] 2012-03-02 10:59:42 PST
RESOLVED INCOMPLETE due to lack of response to last question. If you feel this change was made in error, please respond to this bug with your reasons why.
Comment 5 User image Adrian Perez 2012-03-02 19:03:41 PST
Yes, I am still experiencing this issue with the current version of TB (10.0.2).

Based on Aureliano's comment it is apparent that these are deliberate behaviors.
In my opinion, expanding the groups should be possible from clicking anywhere on the header row but that would ultimately be a Wish List item though.

However, he did mention that double clicking on the collapsed group should open up the messages in new tabs or windows based on your preferences. In my case, the new windows open up but the messages are not displayed. Is that the desired behavior as well?
Comment 6 User image Wayne Mery (:wsmwk, NI for questions) 2012-04-01 11:33:36 PDT
(In reply to Adrian Perez from comment #5)
> Yes, I am still experiencing this issue with the current version of TB
> (10.0.2).
> 
> Based on Aureliano's comment it is apparent that these are deliberate
> behaviors.
> In my opinion, expanding the groups should be possible from clicking
> anywhere on the header row but that would ultimately be a Wish List item
> though.

Blake, what do you think?

Current behavior may be intentional but I think this change would be useful. Double click on folders expands a list of subfolders. And this request seem analogous (except that double clicking threads will not work)
Comment 7 User image alta88 2015-08-30 14:54:28 PDT
The current behavior is all over the map, depending on whether it's a mail, feed, or news folder and also whether the dummy header is expanded/collapsed at the time and then on how mail.operate_on_msgs_in_collapsed_threads is set.  Opening implied multiselect messages sometimes works sometimes opens empty tabs.

This patch will make a click anywhere in the header (cyclers too) select the row, and make a double click anywhere toggle expand/collapse. An <enter> will also toggle.
Comment 8 User image alta88 2015-08-30 14:55:26 PDT
Created attachment 8654661 [details] [diff] [review]
groupedHeaderDClickToggle.patch
Comment 9 User image Magnus Melin 2015-09-02 12:43:32 PDT
Comment on attachment 8654661 [details] [diff] [review]
groupedHeaderDClickToggle.patch

Review of attachment 8654661 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM, r=mkmelin

::: mail/base/content/mailWindowOverlay.js
@@ +2148,5 @@
> +    let row = gFolderDisplay.treeSelection.count == 1 ?
> +                 gFolderDisplay.treeSelection.currentIndex : -1;
> +    if (gFolderDisplay.view.isGroupedByHeaderAtIndex(row))
> +      // Let tree.xml handle it.
> +      return;

Maybe instead

if (gFolderDisplay.view.showGroupedBySort &&
    gFolderDisplay.treeSelection.count == 1 && 
    gFolderDisplay.view.isGroupedByHeaderAtIndex(gFolderDisplay.treeSelection.currentIndex))
  return; // Let tree.xml handle it.
Comment 10 User image alta88 2015-09-02 15:20:51 PDT
Created attachment 8656267 [details] [diff] [review]
groupedHeaderDClickToggle.patch

udpated for comment.
Comment 11 User image aleth [:aleth] 2015-09-07 02:41:13 PDT
https://hg.mozilla.org/comm-central/rev/17f00c3e74cbd94c5d6bfd653876f541ec47782f
Bug 655653 - When Message view is "Grouped by sort", double-clicking anywhere but the expand/collapse arrow (eg in group heading) does not expand or collapse group. r=mkmelin

Note You need to log in before you can comment on or make changes to this bug.